Package: org.apache.groovy.ast.tools

## [Java] Class MethodNodeUtils

- org.apache.groovy.ast.tools.MethodNodeUtils

- Utility class for working with MethodNodes

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `methodDescriptor(MethodNode mNode)` Return the method node's descriptor which includes its return type, name and parameter types without generics.
    `` | `static String` | `methodDescriptorWithoutReturnType(MethodNode mNode)` Return the method node's descriptor including its name and parameter types without generics.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public static String methodDescriptor(MethodNode mNode)

      Return the method node's descriptor which includes its return type, name and parameter types without generics.

      Parameters:
        `mNode` - the method node
      Returns:
        the method node's descriptor

    - #### public static String methodDescriptorWithoutReturnType(MethodNode mNode)

      Return the method node's descriptor including its name and parameter types without generics.

      Parameters:
        `mNode` - the method node
      Returns:
        the method node's abbreviated descriptor excluding the return type